Bug 1856857 - infinite pod errors in some failure mode
Summary: infinite pod errors in some failure mode
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.6.0
Assignee: Aniket Bhat
QA Contact: Anurag saxena
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-07-14 15:09 UTC by Dan Winship
Modified: 2020-10-27 16:14 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 16:14:36 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift ovn-kubernetes pull 204 0 None closed Bug 1857522: 7-21-2020 merge 2020-08-10 07:28:05 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:14:52 UTC

Description Dan Winship 2020-07-14 15:09:57 UTC
Seen in https://storage.googleapis.com/origin-ci-test/pr-logs/pull/openshift_ovn-kubernetes/201/pull-ci-openshift-ovn-kubernetes-master-e2e-aws-ovn/1282781610898362368/artifacts/e2e-aws-ovn/pods/openshift-ovn-kubernetes_ovnkube-master-86n54_ovnkube-master.log (a failing test run)

I0713 21:49:24.474580       1 kube.go:49] Setting annotations map[k8s.ovn.org/pod-networks:{"default":{"ip_addresses":["10.128.10.14/23"],"mac_address":"0a:58:0a:80:0a:0e","gateway_ips":["10.128.10.1"],"ip_address":"10.128.10.14/23","gateway_ip":"10.128.10.1"}}] on pod e2e-statefulset-9746/ss-0
E0713 21:49:24.651643       1 kube.go:58] Error in setting annotation on pod e2e-statefulset-9746/ss-0: pods "ss-0" not found
I0713 21:49:24.651764       1 pods.go:227] [e2e-statefulset-9746/ss-0] addLogicalPort took 224.399543ms
E0713 21:49:24.659729       1 pods.go:292] Failed to block off already allocated IPs: 10.128.10.14 for pod e2e-statefulset-9746_ss-0 on node: ip-10-0-196-107.us-west-2.compute.internal error: provided IP is already allocated
I0713 21:49:24.659834       1 pods.go:227] [e2e-statefulset-9746/ss-0] addLogicalPort took 7.952025ms
E0713 21:49:24.664094       1 pods.go:292] Failed to block off already allocated IPs: 10.128.10.14 for pod e2e-statefulset-9746_ss-0 on node: ip-10-0-196-107.us-west-2.compute.internal error: provided IP is already allocated
I0713 21:49:24.664186       1 pods.go:227] [e2e-statefulset-9746/ss-0] addLogicalPort took 4.21396ms
I0713 21:49:24.664328       1 pods.go:76] Deleting pod: e2e-statefulset-9746/ss-0
I0713 21:49:24.974506       1 kube.go:49] Setting annotations map[k8s.ovn.org/pod-networks:{"default":{"ip_addresses":["10.128.10.14/23"],"mac_address":"0a:58:0a:80:0a:0e","gateway_ips":["10.128.10.1"],"ip_address":"10.128.10.14/23","gateway_ip":"10.128.10.1"}}] on pod e2e-statefulset-9746/ss-0
E0713 21:49:25.189708       1 kube.go:58] Error in setting annotation on pod e2e-statefulset-9746/ss-0: pods "ss-0" not found
I0713 21:49:25.190056       1 pods.go:227] [e2e-statefulset-9746/ss-0] addLogicalPort took 380.532144ms
E0713 21:49:25.194206       1 pods.go:292] Failed to block off already allocated IPs: 10.128.10.14 for pod e2e-statefulset-9746_ss-0 on node: ip-10-0-196-107.us-west-2.compute.internal error: provided IP is already allocated
I0713 21:49:25.194271       1 pods.go:227] [e2e-statefulset-9746/ss-0] addLogicalPort took 4.135057ms
E0713 21:49:25.198749       1 pods.go:292] Failed to block off already allocated IPs: 10.128.10.14 for pod e2e-statefulset-9746_ss-0 on node: ip-10-0-196-107.us-west-2.compute.internal error: provided IP is already allocated
I0713 21:49:25.198770       1 pods.go:227] [e2e-statefulset-9746/ss-0] addLogicalPort took 4.418875ms
I0713 21:49:25.198788       1 pods.go:76] Deleting pod: e2e-statefulset-9746/ss-0
I0713 21:49:25.336273       1 kube.go:49] Setting annotations map[k8s.ovn.org/pod-networks:{"default":{"ip_addresses":["10.128.10.14/23"],"mac_address":"0a:58:0a:80:0a:0e","gateway_ips":["10.128.10.1"],"ip_address":"10.128.10.14/23","gateway_ip":"10.128.10.1"}}] on pod e2e-statefulset-9746/ss-0
E0713 21:49:25.427470       1 kube.go:58] Error in setting annotation on pod e2e-statefulset-9746/ss-0: pods "ss-0" not found
I0713 21:49:25.427493       1 pods.go:227] [e2e-statefulset-9746/ss-0] addLogicalPort took 161.358192ms
E0713 21:49:25.434461       1 pods.go:292] Failed to block off already allocated IPs: 10.128.10.14 for pod e2e-statefulset-9746_ss-0 on node: ip-10-0-196-107.us-west-2.compute.internal error: provided IP is already allocated
I0713 21:49:25.434487       1 pods.go:227] [e2e-statefulset-9746/ss-0] addLogicalPort took 6.968301ms
E0713 21:49:25.438031       1 pods.go:292] Failed to block off already allocated IPs: 10.128.10.14 for pod e2e-statefulset-9746_ss-0 on node: ip-10-0-196-107.us-west-2.compute.internal error: provided IP is already allocated
I0713 21:49:25.438049       1 pods.go:227] [e2e-statefulset-9746/ss-0] addLogicalPort took 3.538664ms
I0713 21:49:25.438068       1 pods.go:76] Deleting pod: e2e-statefulset-9746/ss-0
I0713 21:49:25.571153       1 kube.go:49] Setting annotations map[k8s.ovn.org/pod-networks:{"default":{"ip_addresses":["10.128.10.14/23"],"mac_address":"0a:58:0a:80:0a:0e","gateway_ips":["10.128.10.1"],"ip_address":"10.128.10.14/23","gateway_ip":"10.128.10.1"}}] on pod e2e-statefulset-9746/ss-0
E0713 21:49:25.742610       1 kube.go:58] Error in setting annotation on pod e2e-statefulset-9746/ss-0: pods "ss-0" not found
I0713 21:49:25.742723       1 pods.go:227] [e2e-statefulset-9746/ss-0] addLogicalPort took 201.097942ms
E0713 21:49:25.749414       1 pods.go:292] Failed to block off already allocated IPs: 10.128.10.14 for pod e2e-statefulset-9746_ss-0 on node: ip-10-0-196-107.us-west-2.compute.internal error: provided IP is already allocated
I0713 21:49:25.749485       1 pods.go:227] [e2e-statefulset-9746/ss-0] addLogicalPort took 6.691833ms
E0713 21:49:25.754521       1 pods.go:292] Failed to block off already allocated IPs: 10.128.10.14 for pod e2e-statefulset-9746_ss-0 on node: ip-10-0-196-107.us-west-2.compute.internal error: provided IP is already allocated
I0713 21:49:25.754611       1 pods.go:227] [e2e-statefulset-9746/ss-0] addLogicalPort took 5.048332ms
I0713 21:49:25.754648       1 pods.go:76] Deleting pod: e2e-statefulset-9746/ss-0
I0713 21:49:25.823974       1 kube.go:49] Setting annotations map[k8s.ovn.org/pod-networks:{"default":{"ip_addresses":["10.128.10.14/23"],"mac_address":"0a:58:0a:80:0a:0e","gateway_ips":["10.128.10.1"],"ip_address":"10.128.10.14/23","gateway_ip":"10.128.10.1"}}] on pod e2e-statefulset-9746/ss-0
E0713 21:49:25.852583       1 kube.go:58] Error in setting annotation on pod e2e-statefulset-9746/ss-0: pods "ss-0" not found
I0713 21:49:25.852713       1 pods.go:227] [e2e-statefulset-9746/ss-0] addLogicalPort took 69.982594ms
E0713 21:49:25.867268       1 pods.go:292] Failed to block off already allocated IPs: 10.128.10.14 for pod e2e-statefulset-9746_ss-0 on node: ip-10-0-196-107.us-west-2.compute.internal error: provided IP is already allocated
I0713 21:49:25.867386       1 pods.go:227] [e2e-statefulset-9746/ss-0] addLogicalPort took 14.558315ms
E0713 21:49:25.874173       1 pods.go:292] Failed to block off already allocated IPs: 10.128.10.14 for pod e2e-statefulset-9746_ss-0 on node: ip-10-0-196-107.us-west-2.compute.internal error: provided IP is already allocated
I0713 21:49:25.874265       1 pods.go:227] [e2e-statefulset-9746/ss-0] addLogicalPort took 6.466293ms
I0713 21:49:25.874366       1 pods.go:76] Deleting pod: e2e-statefulset-9746/ss-0
I0713 21:49:26.047797       1 kube.go:49] Setting annotations map[k8s.ovn.org/pod-networks:{"default":{"ip_addresses":["10.128.10.14/23"],"mac_address":"0a:58:0a:80:0a:0e","gateway_ips":["10.128.10.1"],"ip_address":"10.128.10.14/23","gateway_ip":"10.128.10.1"}}] on pod e2e-statefulset-9746/ss-0
I0713 21:49:26.194886       1 pods.go:227] [e2e-statefulset-9746/ss-0] addLogicalPort took 233.90015ms
I0713 21:49:26.195048       1 pods.go:76] Deleting pod: e2e-statefulset-9746/ss-0
I0713 21:49:26.297482       1 kube.go:49] Setting annotations map[k8s.ovn.org/pod-networks:{"default":{"ip_addresses":["10.128.10.14/23"],"mac_address":"0a:58:0a:80:0a:0e","gateway_ips":["10.128.10.1"],"ip_address":"10.128.10.14/23","gateway_ip":"10.128.10.1"}}] on pod e2e-statefulset-9746/ss-0
I0713 21:49:26.458461       1 pods.go:227] [e2e-statefulset-9746/ss-0] addLogicalPort took 208.814648ms
I0713 21:49:26.458489       1 pods.go:76] Deleting pod: e2e-statefulset-9746/ss-0
I0713 21:49:26.533023       1 kube.go:49] Setting annotations map[k8s.ovn.org/pod-networks:{"default":{"ip_addresses":["10.128.10.14/23"],"mac_address":"0a:58:0a:80:0a:0e","gateway_ips":["10.128.10.1"],"ip_address":"10.128.10.14/23","gateway_ip":"10.128.10.1"}}] on pod e2e-statefulset-9746/ss-0
E0713 21:49:26.564877       1 kube.go:58] Error in setting annotation on pod e2e-statefulset-9746/ss-0: pods "ss-0" not found
I0713 21:49:26.564929       1 pods.go:227] [e2e-statefulset-9746/ss-0] addLogicalPort took 67.198555ms
E0713 21:49:26.569952       1 pods.go:292] Failed to block off already allocated IPs: 10.128.10.14 for pod e2e-statefulset-9746_ss-0 on node: ip-10-0-196-107.us-west-2.compute.internal error: provided IP is already allocated
I0713 21:49:26.569973       1 pods.go:227] [e2e-statefulset-9746/ss-0] addLogicalPort took 5.012402ms
E0713 21:49:26.575680       1 pods.go:292] Failed to block off already allocated IPs: 10.128.10.14 for pod e2e-statefulset-9746_ss-0 on node: ip-10-0-196-107.us-west-2.compute.internal error: provided IP is already allocated
I0713 21:49:26.575703       1 pods.go:227] [e2e-statefulset-9746/ss-0] addLogicalPort took 5.706276ms
I0713 21:49:26.575724       1 pods.go:76] Deleting pod: e2e-statefulset-9746/ss-0
I0713 21:49:26.639318       1 kube.go:49] Setting annotations map[k8s.ovn.org/pod-networks:{"default":{"ip_addresses":["10.128.10.14/23"],"mac_address":"0a:58:0a:80:0a:0e","gateway_ips":["10.128.10.1"],"ip_address":"10.128.10.14/23","gateway_ip":"10.128.10.1"}}] on pod e2e-statefulset-9746/ss-0
I0713 21:49:26.730828       1 pods.go:227] [e2e-statefulset-9746/ss-0] addLogicalPort took 131.537699ms
I0713 21:49:26.730864       1 pods.go:76] Deleting pod: e2e-statefulset-9746/ss-0
I0713 21:49:26.855425       1 kube.go:49] Setting annotations map[k8s.ovn.org/pod-networks:{"default":{"ip_addresses":["10.128.10.14/23"],"mac_address":"0a:58:0a:80:0a:0e","gateway_ips":["10.128.10.1"],"ip_address":"10.128.10.14/23","gateway_ip":"10.128.10.1"}}] on pod e2e-statefulset-9746/ss-0
E0713 21:49:26.909438       1 kube.go:58] Error in setting annotation on pod e2e-statefulset-9746/ss-0: pods "ss-0" not found
I0713 21:49:26.909465       1 pods.go:227] [e2e-statefulset-9746/ss-0] addLogicalPort took 132.836558ms
E0713 21:49:26.913672       1 pods.go:292] Failed to block off already allocated IPs: 10.128.10.14 for pod e2e-statefulset-9746_ss-0 on node: ip-10-0-196-107.us-west-2.compute.internal error: provided IP is already allocated
I0713 21:49:26.913694       1 pods.go:227] [e2e-statefulset-9746/ss-0] addLogicalPort took 4.206485ms
E0713 21:49:26.918922       1 pods.go:292] Failed to block off already allocated IPs: 10.128.10.14 for pod e2e-statefulset-9746_ss-0 on node: ip-10-0-196-107.us-west-2.compute.internal error: provided IP is already allocated
I0713 21:49:26.918946       1 pods.go:227] [e2e-statefulset-9746/ss-0] addLogicalPort took 5.228729ms
I0713 21:49:26.918966       1 pods.go:76] Deleting pod: e2e-statefulset-9746/ss-0
I0713 21:49:27.027262       1 kube.go:49] Setting annotations map[k8s.ovn.org/pod-networks:{"default":{"ip_addresses":["10.128.10.14/23"],"mac_address":"0a:58:0a:80:0a:0e","gateway_ips":["10.128.10.1"],"ip_address":"10.128.10.14/23","gateway_ip":"10.128.10.1"}}] on pod e2e-statefulset-9746/ss-0
E0713 21:49:27.037950       1 kube.go:58] Error in setting annotation on pod e2e-statefulset-9746/ss-0: pods "ss-0" not found
I0713 21:49:27.038051       1 pods.go:227] [e2e-statefulset-9746/ss-0] addLogicalPort took 60.830619ms
E0713 21:49:27.047936       1 pods.go:292] Failed to block off already allocated IPs: 10.128.10.14 for pod e2e-statefulset-9746_ss-0 on node: ip-10-0-196-107.us-west-2.compute.internal error: provided IP is already allocated
I0713 21:49:27.048101       1 pods.go:227] [e2e-statefulset-9746/ss-0] addLogicalPort took 9.947101ms
E0713 21:49:27.053944       1 pods.go:292] Failed to block off already allocated IPs: 10.128.10.14 for pod e2e-statefulset-9746_ss-0 on node: ip-10-0-196-107.us-west-2.compute.internal error: provided IP is already allocated
I0713 21:49:27.053962       1 pods.go:227] [e2e-statefulset-9746/ss-0] addLogicalPort took 5.75634ms
I0713 21:49:27.053980       1 pods.go:76] Deleting pod: e2e-statefulset-9746/ss-0
I0713 21:49:27.161394       1 kube.go:49] Setting annotations map[k8s.ovn.org/pod-networks:{"default":{"ip_addresses":["10.128.10.14/23"],"mac_address":"0a:58:0a:80:0a:0e","gateway_ips":["10.128.10.1"],"ip_address":"10.128.10.14/23","gateway_ip":"10.128.10.1"}}] on pod e2e-statefulset-9746/ss-0
I0713 21:49:27.222200       1 pods.go:227] [e2e-statefulset-9746/ss-0] addLogicalPort took 104.321336ms
I0713 21:49:27.222313       1 pods.go:76] Deleting pod: e2e-statefulset-9746/ss-0
I0713 21:49:27.292080       1 kube.go:49] Setting annotations map[k8s.ovn.org/pod-networks:{"default":{"ip_addresses":["10.128.10.14/23"],"mac_address":"0a:58:0a:80:0a:0e","gateway_ips":["10.128.10.1"],"ip_address":"10.128.10.14/23","gateway_ip":"10.128.10.1"}}] on pod e2e-statefulset-9746/ss-0
E0713 21:49:27.325687       1 kube.go:58] Error in setting annotation on pod e2e-statefulset-9746/ss-0: pods "ss-0" not found
I0713 21:49:27.325711       1 pods.go:227] [e2e-statefulset-9746/ss-0] addLogicalPort took 72.057545ms
E0713 21:49:27.337315       1 pods.go:292] Failed to block off already allocated IPs: 10.128.10.14 for pod e2e-statefulset-9746_ss-0 on node: ip-10-0-196-107.us-west-2.compute.internal error: provided IP is already allocated
I0713 21:49:27.337342       1 pods.go:227] [e2e-statefulset-9746/ss-0] addLogicalPort took 11.60337ms
E0713 21:49:27.342015       1 pods.go:292] Failed to block off already allocated IPs: 10.128.10.14 for pod e2e-statefulset-9746_ss-0 on node: ip-10-0-196-107.us-west-2.compute.internal error: provided IP is already allocated
I0713 21:49:27.342035       1 pods.go:227] [e2e-statefulset-9746/ss-0] addLogicalPort took 4.66888ms
I0713 21:49:27.342054       1 pods.go:76] Deleting pod: e2e-statefulset-9746/ss-0
I0713 21:49:27.444803       1 kube.go:49] Setting annotations map[k8s.ovn.org/pod-networks:{"default":{"ip_addresses":["10.128.10.14/23"],"mac_address":"0a:58:0a:80:0a:0e","gateway_ips":["10.128.10.1"],"ip_address":"10.128.10.14/23","gateway_ip":"10.128.10.1"}}] on pod e2e-statefulset-9746/ss-0
E0713 21:49:27.678117       1 kube.go:58] Error in setting annotation on pod e2e-statefulset-9746/ss-0: pods "ss-0" not found
I0713 21:49:27.678139       1 pods.go:227] [e2e-statefulset-9746/ss-0] addLogicalPort took 287.781261ms
I0713 21:49:27.691041       1 pods.go:227] [e2e-statefulset-9746/ss-0] addLogicalPort took 12.867652ms
I0713 21:49:27.691074       1 pods.go:76] Deleting pod: e2e-statefulset-9746/ss-0
I0713 21:49:27.735312       1 kube.go:49] Setting annotations map[k8s.ovn.org/pod-networks:{"default":{"ip_addresses":["10.128.10.14/23"],"mac_address":"0a:58:0a:80:0a:0e","gateway_ips":["10.128.10.1"],"ip_address":"10.128.10.14/23","gateway_ip":"10.128.10.1"}}] on pod e2e-statefulset-9746/ss-0
E0713 21:49:27.826863       1 kube.go:58] Error in setting annotation on pod e2e-statefulset-9746/ss-0: pods "ss-0" not found
I0713 21:49:27.826888       1 pods.go:227] [e2e-statefulset-9746/ss-0] addLogicalPort took 118.813835ms
E0713 21:49:27.836694       1 pods.go:292] Failed to block off already allocated IPs: 10.128.10.14 for pod e2e-statefulset-9746_ss-0 on node: ip-10-0-196-107.us-west-2.compute.internal error: provided IP is already allocated
I0713 21:49:27.836723       1 pods.go:227] [e2e-statefulset-9746/ss-0] addLogicalPort took 9.793402ms
E0713 21:49:27.852042       1 pods.go:292] Failed to block off already allocated IPs: 10.128.10.14 for pod e2e-statefulset-9746_ss-0 on node: ip-10-0-196-107.us-west-2.compute.internal error: provided IP is already allocated
I0713 21:49:27.852129       1 pods.go:227] [e2e-statefulset-9746/ss-0] addLogicalPort took 15.381667ms
I0713 21:49:27.852159       1 pods.go:76] Deleting pod: e2e-statefulset-9746/ss-0
I0713 21:49:27.952365       1 kube.go:49] Setting annotations map[k8s.ovn.org/pod-networks:{"default":{"ip_addresses":["10.128.10.14/23"],"mac_address":"0a:58:0a:80:0a:0e","gateway_ips":["10.128.10.1"],"ip_address":"10.128.10.14/23","gateway_ip":"10.128.10.1"}}] on pod e2e-statefulset-9746/ss-0
E0713 21:49:28.024249       1 kube.go:58] Error in setting annotation on pod e2e-statefulset-9746/ss-0: pods "ss-0" not found
I0713 21:49:28.024362       1 pods.go:227] [e2e-statefulset-9746/ss-0] addLogicalPort took 117.172863ms
E0713 21:49:28.037083       1 pods.go:292] Failed to block off already allocated IPs: 10.128.10.14 for pod e2e-statefulset-9746_ss-0 on node: ip-10-0-196-107.us-west-2.compute.internal error: provided IP is already allocated
I0713 21:49:28.037164       1 pods.go:227] [e2e-statefulset-9746/ss-0] addLogicalPort took 12.710496ms
E0713 21:49:28.045758       1 pods.go:292] Failed to block off already allocated IPs: 10.128.10.14 for pod e2e-statefulset-9746_ss-0 on node: ip-10-0-196-107.us-west-2.compute.internal error: provided IP is already allocated
I0713 21:49:28.045839       1 pods.go:227] [e2e-statefulset-9746/ss-0] addLogicalPort took 8.609224ms
I0713 21:49:28.045935       1 pods.go:76] Deleting pod: e2e-statefulset-9746/ss-0
I0713 21:49:28.145699       1 kube.go:49] Setting annotations map[k8s.ovn.org/pod-networks:{"default":{"ip_addresses":["10.128.10.14/23"],"mac_address":"0a:58:0a:80:0a:0e","gateway_ips":["10.128.10.1"],"ip_address":"10.128.10.14/23","gateway_ip":"10.128.10.1"}}] on pod e2e-statefulset-9746/ss-0
E0713 21:49:28.159845       1 kube.go:58] Error in setting annotation on pod e2e-statefulset-9746/ss-0: pods "ss-0" not found
I0713 21:49:28.159868       1 pods.go:227] [e2e-statefulset-9746/ss-0] addLogicalPort took 57.865654ms
E0713 21:49:28.167633       1 pods.go:292] Failed to block off already allocated IPs: 10.128.10.14 for pod e2e-statefulset-9746_ss-0 on node: ip-10-0-196-107.us-west-2.compute.internal error: provided IP is already allocated
I0713 21:49:28.167697       1 pods.go:227] [e2e-statefulset-9746/ss-0] addLogicalPort took 7.800031ms
E0713 21:49:28.171332       1 pods.go:292] Failed to block off already allocated IPs: 10.128.10.14 for pod e2e-statefulset-9746_ss-0 on node: ip-10-0-196-107.us-west-2.compute.internal error: provided IP is already allocated
I0713 21:49:28.171372       1 pods.go:227] [e2e-statefulset-9746/ss-0] addLogicalPort took 3.64887ms
I0713 21:49:28.171393       1 pods.go:76] Deleting pod: e2e-statefulset-9746/ss-0
I0713 21:49:28.263425       1 kube.go:49] Setting annotations map[k8s.ovn.org/pod-networks:{"default":{"ip_addresses":["10.128.10.14/23"],"mac_address":"0a:58:0a:80:0a:0e","gateway_ips":["10.128.10.1"],"ip_address":"10.128.10.14/23","gateway_ip":"10.128.10.1"}}] on pod e2e-statefulset-9746/ss-0
E0713 21:49:28.271140       1 kube.go:58] Error in setting annotation on pod e2e-statefulset-9746/ss-0: pods "ss-0" not found
I0713 21:49:28.271165       1 pods.go:227] [e2e-statefulset-9746/ss-0] addLogicalPort took 66.600315ms
E0713 21:49:28.283838       1 pods.go:292] Failed to block off already allocated IPs: 10.128.10.14 for pod e2e-statefulset-9746_ss-0 on node: ip-10-0-196-107.us-west-2.compute.internal error: provided IP is already allocated
I0713 21:49:28.283870       1 pods.go:227] [e2e-statefulset-9746/ss-0] addLogicalPort took 12.674419ms
E0713 21:49:28.288229       1 pods.go:292] Failed to block off already allocated IPs: 10.128.10.14 for pod e2e-statefulset-9746_ss-0 on node: ip-10-0-196-107.us-west-2.compute.internal error: provided IP is already allocated
I0713 21:49:28.288252       1 pods.go:227] [e2e-statefulset-9746/ss-0] addLogicalPort took 4.358177ms
I0713 21:49:28.288272       1 pods.go:76] Deleting pod: e2e-statefulset-9746/ss-0
I0713 21:49:28.368663       1 kube.go:49] Setting annotations map[k8s.ovn.org/pod-networks:{"default":{"ip_addresses":["10.128.10.14/23"],"mac_address":"0a:58:0a:80:0a:0e","gateway_ips":["10.128.10.1"],"ip_address":"10.128.10.14/23","gateway_ip":"10.128.10.1"}}] on pod e2e-statefulset-9746/ss-0
E0713 21:49:28.380978       1 kube.go:58] Error in setting annotation on pod e2e-statefulset-9746/ss-0: pods "ss-0" not found
I0713 21:49:28.381001       1 pods.go:227] [e2e-statefulset-9746/ss-0] addLogicalPort took 53.851343ms
E0713 21:49:28.390050       1 pods.go:292] Failed to block off already allocated IPs: 10.128.10.14 for pod e2e-statefulset-9746_ss-0 on node: ip-10-0-196-107.us-west-2.compute.internal error: provided IP is already allocated
I0713 21:49:28.390075       1 pods.go:227] [e2e-statefulset-9746/ss-0] addLogicalPort took 9.048161ms
E0713 21:49:28.395768       1 pods.go:292] Failed to block off already allocated IPs: 10.128.10.14 for pod e2e-statefulset-9746_ss-0 on node: ip-10-0-196-107.us-west-2.compute.internal error: provided IP is already allocated
I0713 21:49:28.395789       1 pods.go:227] [e2e-statefulset-9746/ss-0] addLogicalPort took 5.689295ms
I0713 21:49:28.395808       1 pods.go:76] Deleting pod: e2e-statefulset-9746/ss-0
I0713 21:49:28.513362       1 kube.go:49] Setting annotations map[k8s.ovn.org/pod-networks:{"default":{"ip_addresses":["10.128.10.14/23"],"mac_address":"0a:58:0a:80:0a:0e","gateway_ips":["10.128.10.1"],"ip_address":"10.128.10.14/23","gateway_ip":"10.128.10.1"}}] on pod e2e-statefulset-9746/ss-0
E0713 21:49:28.524474       1 kube.go:58] Error in setting annotation on pod e2e-statefulset-9746/ss-0: pods "ss-0" not found
I0713 21:49:28.524496       1 pods.go:227] [e2e-statefulset-9746/ss-0] addLogicalPort took 73.145634ms
E0713 21:49:28.563526       1 pods.go:292] Failed to block off already allocated IPs: 10.128.10.14 for pod e2e-statefulset-9746_ss-0 on node: ip-10-0-196-107.us-west-2.compute.internal error: provided IP is already allocated
I0713 21:49:28.563548       1 pods.go:227] [e2e-statefulset-9746/ss-0] addLogicalPort took 39.006043ms
E0713 21:49:28.583134       1 pods.go:292] Failed to block off already allocated IPs: 10.128.10.14 for pod e2e-statefulset-9746_ss-0 on node: ip-10-0-196-107.us-west-2.compute.internal error: provided IP is already allocated
I0713 21:49:28.583159       1 pods.go:227] [e2e-statefulset-9746/ss-0] addLogicalPort took 19.593337ms
I0713 21:49:28.583180       1 pods.go:76] Deleting pod: e2e-statefulset-9746/ss-0
I0713 21:49:28.881816       1 kube.go:49] Setting annotations map[k8s.ovn.org/pod-networks:{"default":{"ip_addresses":["10.128.10.13/23"],"mac_address":"0a:58:0a:80:0a:0d","gateway_ips":["10.128.10.1"],"ip_address":"10.128.10.13/23","gateway_ip":"10.128.10.1"}}] on pod e2e-statefulset-9746/ss-0
I0713 21:49:29.079476       1 pods.go:227] [e2e-statefulset-9746/ss-0] addLogicalPort took 317.357021ms
I0713 21:49:29.079510       1 pods.go:76] Deleting pod: e2e-statefulset-9746/ss-0
I0713 21:49:29.162019       1 kube.go:49] Setting annotations map[k8s.ovn.org/pod-networks:{"default":{"ip_addresses":["10.128.10.13/23"],"mac_address":"0a:58:0a:80:0a:0d","gateway_ips":["10.128.10.1"],"ip_address":"10.128.10.13/23","gateway_ip":"10.128.10.1"}}] on pod e2e-statefulset-9746/ss-0
I0713 21:49:29.191578       1 pods.go:227] [e2e-statefulset-9746/ss-0] addLogicalPort took 89.086043ms
I0713 21:49:39.600376       1 pods.go:76] Deleting pod: e2e-statefulset-9746/ss-0


However, the same thing can be seen (with the same pod, and others) in https://storage.googleapis.com/origin-ci-test/pr-logs/pull/openshift_cluster-network-operator/695/pull-ci-openshift-cluster-network-operator-master-e2e-gcp-ovn/1282947073200623616/artifacts/e2e-gcp-ovn/pods/openshift-ovn-kubernetes_ovnkube-master-zxd4m_ovnkube-master.log, which was a passing test run, and in that case it keeps looping until the end of the test run, half an hour later.

Comment 10 errata-xmlrpc 2020-10-27 16:14:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.